import request from '@/utils/request'

// 查询巡检项目信息列表
export function listDmsBaseInspectProject(query) {
  return request({
    url: '/dms/dmsBaseInspectProject/list',
    method: 'get',
    params: query
  })
}

// 查询巡检项目信息详细
export function getDmsBaseInspectProject(inspectProjectId) {
  return request({
    url: '/dms/dmsBaseInspectProject/' + inspectProjectId,
    method: 'get'
  })
}

// 新增巡检项目信息
export function addDmsBaseInspectProject(data) {
  return request({
    url: '/dms/dmsBaseInspectProject',
    method: 'post',
    data: data
  })
}

// 修改巡检项目信息
export function updateDmsBaseInspectProject(data) {
  return request({
    url: '/dms/dmsBaseInspectProject',
    method: 'put',
    data: data
  })
}

// 删除巡检项目信息
export function delDmsBaseInspectProject(inspectProjectId) {
  return request({
    url: '/dms/dmsBaseInspectProject/' + inspectProjectId,
    method: 'delete'
  })
}
